      subroutine trigo3 (cel,t)                                         TRIG001
c ----------------------------------------------------------------------TRIG002
c     multiply orthogonal transformation matrix with cell coordinates   TRIG003
c ----------------------------------------------------------------------TRIG004
c     This program module is part of the PhysiSoft X-ray Library        TRIG005
c     and may not be sold or reproduced for commercial purposes.        TRIG006
c     Although it has been tested carefully, there is no warranty       TRIG007
c     regarding accuracy or freedom from side-effects.                  TRIG008
c                   (C) 1986-1990 Bernhard Rupp                         TRIG009
c ----------------------------------------------------------------------TRIG010
      dimension cel(6),t(3,3)                                           TRIG011
                                                                        TRIG012
      t(1,1)=t(1,1)*cel(1)                                              TRIG013
                                                                        TRIG014
      t(1,2)=t(1,2)*cel(2)                                              TRIG015
      t(2,2)=t(2,2)*cel(2)                                              TRIG016
                                                                        TRIG017
      t(1,3)=t(1,3)*cel(3)                                              TRIG018
      t(2,3)=t(2,3)*cel(3)                                              TRIG019
      t(3,3)=t(3,3)*cel(3)                                              TRIG020
                                                                        TRIG021
      return                                                            TRIG022
      end                                                               TRIG023
